<template>
  <el-radio-group
    v-model="selectedMonth"
    class="grid gap-3 grid-cols-5 m-2"
    size="large"
  >
    <el-radio-button
      v-for="(month, index) in monthFilterRange"
      :key="index"
      :label="month.MonthRange"
      border
      @change="getStatmentByMonth(month)"
    >
      {{ month.MonthRange }}
      <img
        class="check-img absolute"
        :src="getAssetImage('assets/svg-icon/checked.svg')"
        alt="check"
      />
    </el-radio-button>
  </el-radio-group>
  <el-table
    v-loading="isDataLoading"
    border
    :data="statementList"
    max-height="510"
    class="rounded-md"
  >
    <template #empty>
      <utils-not-found />
    </template>
    <el-table-column
      :label="$t('date')"
      min-width="100"
      align="left"
      header-align="center"
    >
      <template #default="scope">
        <span>{{ scope.row.DateForDisplay }}</span>
      </template>
    </el-table-column>
    <el-table-column :label="$t('winlose')" header-align="center" align="right">
      <template #default="scope">
        <span :class="`fc-${scope.row.TotalColorForDisplay}`">{{
          scope.row.TotalCommas
        }}</span>
      </template>
    </el-table-column>
    <el-table-column
      :label="$t('commission')"
      align="right"
      header-align="center"
    >
      <template #default="scope">
        <span>{{ scope.row.CommissionCommas }}</span>
      </template>
    </el-table-column>
  </el-table>
  <div class="flex items-center m-2">
    <el-icon class="mx-1 time-notice-footer">
      <clock />
    </el-icon>
    <p>{{ $t("All_transactions_are_time_stamped_at_GMT-4") }}</p>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { Clock } from "@element-plus/icons-vue";
import { useStatement } from "@/composables/statement";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  name: "Statement",
  components: {
    Clock,
  },
  setup() {
    const {
      statementList,
      monthFilterRange,
      getStatmentByMonth,
      selectedMonth,
      isDataLoading,
    } = useStatement();
    const { getAssetImage } = commonHelper;
    return {
      statementList,
      monthFilterRange,
      getStatmentByMonth,
      selectedMonth,
      isDataLoading,
      getAssetImage,
    };
  },
});
</script>
